<?php

namespace Layouts\Ilch_wot\Config;

class Config extends \Ilch\Config\Install
{
    public $config = [
        'name' => 'Ilch World of Tanks',
        'version' => '1.1.0',
        'ilchCore' => '2.2.0',
        'author' => 'Slipi',
        'link' => 'https://ilch.de',
        'desc' => ' Für das Layout wurde auch eine lightshow für das Gallery-Modul eingebunden.',
        'layouts' => [
            'index_full' => [
                ['module' => 'user', 'controller' => 'panel'],
                ['module' => 'forum'],
                ['module' => 'guestbook'],
            ]
        ],
        'settings' => [
            'button' => [
                'type' => 'text',
                'default' => 'ilch.de',
                'description' => '',
                ],
            'buttonurl' => [
                'type' => 'url',
                'default' => 'https://www.ilch.de/',
                'description' => '',
                ],
            'buttoncolor' => [
              	'type' => 'colorpicker',
              	'default' => '#920d00',
                'description' => '',
              	],
            'buttonhover' => [
                'type' => 'colorpicker',
                'default' => '#141414',
                'description' => '',
              	],
            'buttonswitch' => [
                'type' => 'flipswitch',
                'default' => '1',
                'description' => '',
                ],
            'infotext' => [
                'type' => 'text',
                'default' => 'Besuchen sie unseren Server',
                'description' => '',
                ],
            'sliderheading' => [
                'type' => 'text',
                'default' => 'Ilch WOT Layout',
                'description' => '',
                ],
            'slider1' => [
                'type' => 'mediaselection',
                'default' => 'application/layouts/ilch_wot/img/slider/slider_1.jpg',
                'description' => 'descSlider',
                ],
            'slider2' => [
                'type' => 'mediaselection',
                'default' => 'application/layouts/ilch_wot/img/slider/slider_2.jpg',
                'description' => 'descSlider',
                ],
            'slider3' => [
                'type' => 'mediaselection',
                'default' => 'application/layouts/ilch_wot/img/slider/slider_3.jpg',
                'description' => 'descSlider',
                ],
            'color' => [
                'type' => 'colorpicker',
                'default' => '#ffffff',
                'description' => 'linkColorDescp',
              ],
            'hover' => [
                'type' => 'colorpicker',
                'default' => '#920d00',
                'description' => 'linkHoverDescp',
              ],
        ],
    ];

    public function getUpdate($installedVersion)
    {

    }
}
