<!DOCTYPE html>
<html lang="de" data-bs-theme="dark">
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
        <?=$this->getHeader() ?>
        <link href="<?=$this->getVendorUrl('twbs/bootstrap/dist/css/bootstrap.min.css') ?>" rel="stylesheet">
        <link href="<?=$this->getLayoutUrl('style.css') ?>" rel="stylesheet">
        <?=$this->getCustomCSS() ?>
        <script src="<?=$this->getVendorUrl('twbs/bootstrap/dist/js/bootstrap.bundle.min.js') ?>"></script>
		<!-- lightbox -->
        <link href="<?=$this->getLayoutUrl('lightbox/css/lightbox.min.css') ?>" rel="stylesheet">
		<script src="<?=$this->getLayoutUrl('lightbox/js/lightbox.min.js') ?>"></script>
        <!-- /lighbox -->
        <style>
          a {color:<?=$this->getLayoutSetting('color')?>;}
          a:hover {color:<?=$this->getLayoutSetting('hover')?>;}
          header .wot_button {background:<?=$this->getLayoutSetting('buttoncolor')?>;}
          header .wot_button:hover {background:<?=$this->getLayoutSetting('buttonhover')?>;}
        </style>
    </head>
    <body>
      <header>
        <nav class="navbar navbar-expand-lg fixed-top navbar-gaming d-sm-block d-md-none mobile">
          <div class="container-fluid">
            <a class="navbar-brand" href="<?=$this->getUrl() ?>"><?=$this->getTrans('navigation') ?></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <?php
              echo $this->getMenu
              (
                  3,
                    '<div class="card card-gaming">
                         <div class="card-header">%s</div>
                            <div class="card-body">
                                %c
                            </div>
                     </div>'
              );
              ?>
                <?php
                echo $this->getMenu
                (
                    1,
                    '<div class="card card-gaming">
                         <div class="card-header">%s</div>
                            <div class="card-body">
                                %c
                            </div>
                     </div>'
                );
                ?>
            </div>
          </div>
        </nav>
          <div id="nav">
            <div class="container">
              <div class="card-body">
                <ul>
                <?php
                    echo $this->getMenu(3,
                  '<li><a href="#" title="%s">%s</a>%c</li>',
                  [
                    'menus' => [
                    'ul-class-root' => '',
                    'ul-class-child' => '',
                    'allow-nesting' => false
                  ],
                  'boxes' => [
                    'render' => false
                  ],
                  ]);
                ?>
              </ul>
            </div>
            </div>
          </div>
          <?php include('slider.php'); ?>
      </header>

        <div class="container">
            <div class="gaming">
                <div class="row">
                    <div class="d-none d-md-block col-md-3 col-lg-2 wot">
                        <?php
                        echo $this->getMenu
                        (
                            1,
                            '<div class="card card-gaming">
                                 <div class="card-header">%s</div>
                                    <div class="card-body">
                                        %c
                                    </div>
                             </div>'
                        );
                        ?>
                    </div>
                    <div class="col-12 col-md-9 col-lg-10 wot_content">
                        <?=$this->getHmenu() ?>
                        <div class="card card-default">
                            <div class="card-body">
                                <?=$this->getContent() ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="footer">
            <div class="container">
                <div class="gaming">
                    <div class="row">
                        <div class="col-12 col-md-6">
                            &copy; Ilch 2 Free Layout | CMS by <a href="http://www.ilch.de/" target="_blank">Ilch</a>
                        </div>
                        <div class="col-12 col-md-6 nav">
                            <ul>
                                <li><a href="<?=$this->getUrl() ?>"><?=$this->getTrans('home') ?></a></li>
                                <li><a href="<?=$this->getUrl(['module' => 'contact', 'controller' => 'index', 'action' => 'index']) ?>"><?=$this->getTrans('contact') ?></a></li>
                                <li><a href="<?=$this->getUrl(['module' => 'imprint', 'controller' => 'index', 'action' => 'index']) ?>"><?=$this->getTrans('imprint') ?></a></li>
                                <li><a href="<?=$this->getUrl(['module' => 'privacy', 'controller' => 'index', 'action' => 'index']) ?>"><?=$this->getTrans('privacy') ?></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <?=$this->getFooter() ?>
    </body>
</html>
